[ic] SQL::Statement module error?

Cameron B. Prince cameron@akopia.com
Thu, 28 Sep 2000 16:02:24 -0500

I ran into this as well with an install on a fresh copy of RedHat.

You need to either download the perl module (http://www.cpan.org) and
install it, or use the perl -MCPAN command to grab it.

I would recommend you go ahead and grab the whole Bundle::Minivend

This should be documented in the readme that was included with the beta.

Good luck,


-----Original Message-----
From: interchange-users-admin@minivend.com
[mailto:interchange-users-admin@minivend.com]On Behalf Of Jeff Maxwell
Sent: Thursday, September 28, 2000 3:17 PM
To: interchange-users@minivend.com
Subject: [ic] SQL::Statement module error?

Before I go through these issues let me say that I have installed
interchange 4.5.5 a three different with no problems and have two
different working copies of 3.14-5 installed and working great.

I could not get the new version of interchange to work properly with
the built in database support. I could make the construct something
catalog with no problem but, when ever I tried to order (buy now) any
product I got a server error.

So I installed Mysql and reinstalled interchange, interchange
installed ok, no problems. I did a makecat and interchange saw Mysql
and I saw that it was configuring the sample databases. Now I get a
still get a server error when I try to put any Items in the basket.
This is my error.log

- - - [28/September/2000:12:28:13 +0000] - - Low traffic settings.
- - - [28/September/2000:12:28:13 +0000] - - Calling UI....
- - - [28/September/2000:12:28:16 +0000] - - ...UI is loaded....
- - - [28/September/2000:12:28:17 +0000] - - Interchange V4.5.6
- - - [28/September/2000:12:28:17 +0000] - - Config 'test1' at server
- - - [28/September/2000:12:28:18 +0000] - - Using MySQL,
- - - [28/September/2000:12:28:27 +0000] - - START server (757) (INET and
- - - [28/September/2000:12:28:28 +0000] - - Accepting connections
from localhost|127\.0\.0\.1
- - - [28/September/2000:12:28:28 +0000] - - START server (777) (INET and
UNIX) zmgg5isi: - [28/September/2000:12:30:10
+0000] test1 /cgi-bin/test1/ord/basket Runtime error: SQL is not
enabled for Interchange. Get the SQL::Statement module.
This is the same error that I got (SQL::Statement module) when I made
a construct with the builtin database support.

I am running Slakeware 7.1, perl 5.006, have mysql-3.22.32, DBI-1.13,
Msql-Mysql-modules-1.2214, interchange 4.5.6

I also found that if I go to the admin section of the construct
template it lists optional modules not installed:
LWP::Simple not found. External UPS lookup and other internet-related
functions will not work.
MD5 not found. IMPORTANT: cache keys and other search-related
functions will not work.
MIME::Base64 not found. Minor: Internal HTTP server will not work.
SQL::Statement not found. IMPORTANT: UI Database editors will not
work properly.
Safe::Hole not found. IMPORTANT: SQL and some tags will not work in
embedded Perl.
Storable not found. Session and search storage will be slower.
Tie::Watch not found. Minor: cannot set watch points in catalog.cfg.
URI::URL not found. Minor: Internal HTTP server will not work.

where can I find these optional modules to download?

any ideas as to why I can't seem to get this version to work? I have
tried cvs downloaded this morning also a tarball both have been

Jeff Maxwell

Interchange-users mailing list